﻿#nullable enable

using System;
using Microsoft.Extensions.Configuration;

namespace Unity.Extensions.Configuration
{
    public static class ConfigurationBuilderExtensions
    {
        public static IConfigurationBuilder AddUnityResourcesConfiguration(this IConfigurationBuilder builder, string path, bool optional)
        {
            return builder.AddUnityResourcesConfiguration(s =>
            {
                s.Path = path;
                s.Optional = optional;
            });
        }

        public static IConfigurationBuilder AddUnityResourcesConfiguration(this IConfigurationBuilder builder,
            Action<UnityResourcesConfigurationSource>? configurationSource) =>
            builder.Add(configurationSource);
    }
}